package com.patzn.lims.frame.service;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsAbilityMainPlanAttachment;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * <p>
 * 能力验证计划主表附件表 服务类
 * </p>
 *
 * @author xutao
 * @since 2019-09-09
 */
public interface ILmsAbilityMainPlanAttachmentService extends IBaseService<LmsAbilityMainPlanAttachment> {

    List<LmsAbilityMainPlanAttachment> list(LmsAbilityMainPlanAttachment attachment);

    LmsAbilityMainPlanAttachment saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);

    boolean deleteBatch(Long[] ids);

    void downloadFile(Long id, HttpServletResponse response);
}
